# Interface methods for submodule: GridImageSource
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import GenerateImageSourceProxy as _GenerateImageSourceProxy


# Interface methods for class: GridImageSource
class GridImageSourceProxy(_GenerateImageSourceProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetKernelFunction(self, _arg) -> None:
		""""""
		...

	def GetKernelFunction(self):
		""""""
		...

	def SetSigma(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetSigma(self) -> Sequence[float]:
		""""""
		...

	def SetGridSpacing(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetGridSpacing(self) -> Sequence[float]:
		""""""
		...

	def SetGridOffset(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetGridOffset(self) -> Sequence[float]:
		""""""
		...

	def SetWhichDimensions(self, _arg: Sequence[bool]) -> None:
		""""""
		...

	def GetWhichDimensions(self) -> Sequence[bool]:
		""""""
		...

	def SetScale(self, _arg: float) -> None:
		""""""
		...

	def GetScale(self) -> float:
		""""""
		...

